#!/bin/bash
# smart_grub_compile.sh - Smart compiler for super grub disk
#   Copyright (C) 2007 Adrian Gibanel Lopez
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 


if [ -e ./Makefile ] ; then
echo -e "MESSAGE: Makefile exists. We do not call configure\n";
else
echo -e "WARNING: Makefile does not exists. We call configure\n";
./configure --disable-serial --disable-ffs --disable-ufs2 --disable-minix --disable-vstafs --disable-jfs --disable-xfs --disable-packet-retransmission
fi

if make ; then
echo -e "GREAT!: make finished successfully.\n";
else
echo -e "ERROR: Make made an error. Check your C skills and try to run the script again.\n";
exit 1;:
fi
echo -e "WELLDONE!: smart_grub_compile.sh script finished without any error!\n";
exit 0;

