#!/bin/bash

if [ -n "$1" ] ; then
	
source ./sgrub_configure.sh
	# I USED -D option because I want a lot of folders
	# It seems (in mkisofs man) that it's no standard
	# and might not work correctly on many systems
	if mkisofs -R -b boot/grub/stage2_eltorito -no-emul-boot -boot-load-size 4 -boot-info-table -o "$1" "$FS_TARGET" ;
	then
	echo -e "GREAT!: We could make the iso file with mkisofs from $FS_TARGET folder\n";
	else
	echo -e "ERROR: We could make the iso file with mkisofs from $FS_TARGET folder. Check permissions.\n";
	exit 1;
	fi

else
	echo -e "ERROR:\n";
	echo -e "Please specify the ISO where you want to store SGD\n"
	echo -e "e.g. \n"
	echo -e "$0 /tmp/sgd_0.xx.iso\n"
	exit 1
fi


echo -e "WELLDONE!: "$0" script finished without any error!\n";
exit 0;