#!/bin/bash
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#
# delete_trash.sh deletes unnecesary info from sgd filesystem

#set -x
#set -v

if cd ${PROGRAM_TARGET} ; then
echo -e "GREAT!: We could cd to ${PROGRAM_TARGET}\n"
else
echo -e "ERROR: We could not cd to ${PROGRAM_TARGET}. Check permissions or if it was even created.\n"
exit 1;
fi

SDG_MODULE_ID="sdg_module"
SDG_LANG_ID="lang_module"

for DIR in *
  do
  # We want only the folders 
	  if  [ -d "$DIR" ] && [ -e "$DIR"/"${SDG_LANG_ID}" ] && [ ! -e "$DIR"/"${SDG_MODULE_ID}" ] ; then
  # We want to process only folders with lang_module but without sgd_module on them.
	    rm -Rf "$DIR";
	  fi
done

if rm prueba* tail_menu.lst  ; then
echo -e "GREAT!: We could delete prueba* tail_menu.lst test_floppy.sh\n"
else
echo -e "ERROR: We could NOT delete prueba* tail_menu.lst test_floppy.sh. Weird.\n"
exit 1;
fi

if find . \( -type f -a \( -name 'body_menu.lst' -o -name 'head_menu.lst' -o -name 'tail_menu.lst' -o -name 'sdg_module' -o -name '*~' \) \) -print0| xargs --no-run-if-empty --null rm -f ; then
echo -e "GREAT!: We could delete body_menu.lst head_menu.lst tail_menu.lst and sdg_module recursively.\n";
else
echo -e "ERROR: We could NOT delete body_menu.lst head_menu.lst tail_menu.lst and sdg_module recursively. Weird.\n";
exit 1;
fi

if find . -type d -name conf -print0| xargs --no-run-if-empty --null rm -Rf ; then
echo -e "GREAT!: We could delete conf folders and its contents.\n";
else
echo -e "ERROR: We could not delete conf folders and its contents.\n";
exit 1;
fi



#Everything went ok if we're here.
echo -e "WELLDONE!: delete_trash.sh script finished without any error!\n";
exit 0;