# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Here goes all the functions related for building menus
# that are too simple for the understanding of the main algorithm

# This function helps us adding a entry to a grub config file
# It returns the text to add to the file
# This function receives two parametres
# First one is: the title
# Second one is: the config file (the help file) where it points the title
# Third one is: the catis command or not depending if we want to have help or not.
add_menu_entry()
{
local TITLE="$1"
local HELP_FILE="$2"
local BEFORE_JUMP_COMMAND="${3}"" ""${4}"
# Metemos el titulo del menu
echo -n "$SDG_COMMAND_TITLE "
echo $TITLE
echo $BEFORE_JUMP_COMMAND
echo -n "$SDG_COMMAND_CONFIGFILE "
echo "$SDG_DEVICE""$HELP_FILE"

} # End of add_menu_entry

# add_help_cat adds a cat of file inside
# a grub option. And it ends with a pause
# to help people read the text shown
# We use a conditional pause (ipause)
add_help_cat ()
{
	local HELP_FILE="$1"
	echo "cat"" ""$SDG_DEVICE""$HELP_FILE"
	echo "ipause ${SDG_MESSAGE_PAUSE[LEVEL]}"
} # End of add_help_cat

