#!/bin/bash

###
### Find unused files in the filesystem
### Copyright (c) 2006 Michael Schierl
### Licensed under GNU General Public License v2 or later
###

cd test_fs
for myprogram in "boot/sgd boot/slb" ; do


## step one: find all referenced .lst files

rm -f lstfiles2
touch lstfiles2
echo "${myprogram}/help.lst" >lstfiles

# start the fixpoint iteration
while ! cmp -s lstfiles lstfiles2; do
    echo "Iterating again" 1>&2
    grep -Fvxf lstfiles2 lstfiles >newfiles
    cp lstfiles lstfiles2
    for i in `cat newfiles`; do
	if [ -r $i ]; then
	    grep '^configfile' $i | 
	      sed 's/^configfile $(grub_device)\///' |
	      grep '^boot' |
	      sort | uniq >>lstfiles
	fi
    done;
    sort lstfiles | uniq >>lstfiles3
    mv lstfiles3 lstfiles
done

## step two: scan all these files for referenced files

rm -f notfound
touch notfound
echo "Finding all referenced files" 1>&2
(for i in `cat lstfiles`; do
    if [ -r $i ]; then
	grep  "${myprogram}" $i;
    else
	echo "NOTFOUND $i" >>notfound
    fi
done) |
  sed 's/^c\(onfigfile\|all\|at\) $(grub_device)\///' |
  sed 's/^dd $(grub_device)\/\(.*\) \(($(aux_hd))\|$(out_device)\) [0-9a-fx ]*/\1/'| 
  grep '^boot' |
  sort |uniq >allfiles

cat notfound
rm -f notfound

## step three: Get real file list and compare
find ${myprogram} ! -type d | sort >realfiles
diff -U 0 realfiles allfiles | grep '^[+-]'
# rm -f realfiles allfiles lstfiles lstfiles2 newfiles
echo "Here are the files that would have been deleted: "
echo realfiles allfiles lstfiles lstfiles2 newfiles

done